Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List all products

Returns a paginated list of products across all shops accessible to the token. Supports rich filtering, full-text search, and sorting.

GET/products
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Query parameters
pageinteger

Page number

default: 1
per_pageinteger

Items per page

default: 50
qstring

Full-text search query

statusstring

Visibility status filter

default: "visible"
Allowed:visiblehiddenall
shop_subdomainsstring

Comma-separated shop subdomains, e.g. romano,acme

shop_idsstring

Comma-separated shop IDs, e.g. 123,456

collectionsstring

Comma-separated collection slugs, e.g. featured,summer

tagsstring

Comma-separated tag names, e.g. green,red

variantsstring

Comma-separated variant titles, e.g. xl,s

skustring

Comma-separated SKU codes

currencystring

Currency code, e.g. USD

price_gteinteger

Minimum price in cents (inclusive)

price_lteinteger

Maximum price in cents (inclusive)

discount_percentage_gtenumber

Minimum discount percentage (inclusive)

discount_percentage_ltenumber

Maximum discount percentage (inclusive)

created_on_gtestring<date-time>

Created on or after, e.g. 2025-12-22 12:00:00

created_on_ltestring<date-time>

Created on or before

updated_on_gtestring<date-time>

Updated on or after

updated_on_ltestring<date-time>

Updated on or before

sortstring

Sort column and direction

default: "created_on.desc"
Allowed:title.asctitle.descprice.ascprice.desccreated_on.asccreated_on.descupdated_on.ascupdated_on.descdiscount_percentage.ascdiscount_percentage.desc
Responses
200

Paginated products list

total_itemsinteger
pageinteger
per_pageinteger
_linksobject
Show properties
selfHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
nextHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
lastHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
_embeddedobject
Show properties
itemsProductSummary[]
Show properties
Array of ProductSummary
idstring
slugstring
titlestring
statusstring
Allowed:visiblehidden
priceinteger

Price in cents

price_comparisoninteger | null

Original/comparison price in cents ("was" price)

discount_percentagenumber | null
currency_codestring
vendorstring
tagsstring[]
created_onstring<date-time>
updated_onstring<date-time>
_linksobject
_embeddedobject
Show properties
shopShopSummary
Show properties
idstring
namestring
subdomainstring
urlstring
descriptionstring
currency_codestring
localestring
created_onstring<date-time>
updated_onstring<date-time>
product_countsobject
Show properties
visibleinteger
hiddeninteger
_linksobject
imageProductImage
Show properties
file_namestring
titlestring
_linksImageLinks

Links to image at various sizes

Show properties
thumbnailHalLink
smallHalLink
mediumHalLink
largeHalLink
originalHalLink
variantsVariantSummary[]
Show properties
Array of VariantSummary
idinteger
titlestring
positioninteger
skustring | null
priceinteger
price_comparisoninteger | null
stockinteger
available_if_no_stockboolean
weight_in_gramsinteger
collectionsCollection[]
Show properties
Array of Collection
idinteger
titlestring
slugstring
shop_idinteger
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v1/products' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": "string",
        "slug": "string",
        "title": "string",
        "status": "visible",
        "price": 0,
        "price_comparison": 0,
        "discount_percentage": 0,
        "currency_code": "string",
        "vendor": "string",
        "tags": [
          "string"
        ],
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {},
        "_embedded": {
          "shop": {
            "id": "string",
            "name": "string",
            "subdomain": "string",
            "url": "string",
            "description": "string",
            "currency_code": "string",
            "locale": "string",
            "created_on": "2019-08-24T14:15:22Z",
            "updated_on": "2019-08-24T14:15:22Z",
            "product_counts": {
              "visible": 0,
              "hidden": 0
            },
            "_links": {}
          },
          "image": {
            "file_name": "string",
            "title": "string",
            "_links": {
              "thumbnail": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "small": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "medium": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "large": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "original": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              }
            }
          },
          "variants": [
            {
              "id": 0,
              "title": "string",
              "position": 0,
              "sku": "string",
              "price": 0,
              "price_comparison": 0,
              "stock": 0,
              "available_if_no_stock": true,
              "weight_in_grams": 0
            }
          ],
          "collections": [
            {
              "id": 0,
              "title": "string",
              "slug": "string",
              "shop_id": 0
            }
          ]
        }
      }
    ]
  }
}

Was this page helpful?